Fix spelling and encoding errors in manpages and an error message
[mmh] / test / runtest
index 8867661..9f35ade 100755 (executable)
@@ -51,20 +51,21 @@ folder +inbox >/dev/null
 
 # now run the test
 set +e
+export SHELL="${SHELL:-/bin/sh}"
 /bin/sh "$1"
 return_value=$?
 set -e
 
 if [ $return_value -eq 0 ] ; then
-       printf "Test %s:\tPASS\n" "$1"
+       printf "Test %-60s\tPASS\n" "$1"
        exit 0
 elif [ $return_value -eq 120 ]; then
        # indicates test was skipped (eg needed program not found)
        # test itself should have printed a message about this,
        # so print nothing here.
-       :
+       printf "Test %-60s\tSKIP\n" "$1"
        exit 2
 else
-       printf "Test %s:\tFAIL\n" "$1"
+       printf "Test %-60s\tFAIL\n" "$1"
        exit 1
 fi